Upsert Intent Trigger Route
curl --request PUT \
--url https://api.example.com/api/v1/proxies/{proxy_id}/intent-trigger \
--header 'Content-Type: application/json' \
--data '
{
"turn_scope": "<string>",
"first_n": 2,
"on_tools": "<string>",
"min_content_chars": 1,
"sample_rate": 0.5
}
'import requests
url = "https://api.example.com/api/v1/proxies/{proxy_id}/intent-trigger"
payload = {
"turn_scope": "<string>",
"first_n": 2,
"on_tools": "<string>",
"min_content_chars": 1,
"sample_rate": 0.5
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
turn_scope: '<string>',
first_n: 2,
on_tools: '<string>',
min_content_chars: 1,
sample_rate: 0.5
})
};
fetch('https://api.example.com/api/v1/proxies/{proxy_id}/intent-trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"turn_scope": "<string>",
"first_n": 123,
"on_tools": "<string>",
"min_content_chars": 123,
"sample_rate": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}proxies
Upsert Intent Trigger Route
Create or update the intent scoring trigger config for this proxy.
PUT
/
api
/
v1
/
proxies
/
{proxy_id}
/
intent-trigger
Upsert Intent Trigger Route
Path Parameters
Body
application/json
All fields optional — only provided fields are updated (PATCH semantics via PUT).
Which turns to score: 'all', 'first', or 'first_n'.
Pattern:
^(all|first|first_n)$Only used when turn_scope='first_n'. Number of turns to score.
Required range:
x >= 1How to handle turns that contain tool calls.
Pattern:
^(ignore|require|always)$Skip scoring if the turn content is shorter than this many chars.
Required range:
x >= 0Fraction of turns to score (0.00–1.00).
Required range:
0 <= x <= 1⌘I